Redmine - Defect #16708

Form is submitted when switching tab
2014-04-17 11:37 - Nicolas Rodriguez

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 252

Resolution: Fixed Affected version: 251
Description

In render_tabs method, when I click on next tab or previous tab button, form is submit instead of switching tab.

| think you should change

<div class="tabs-buttons" style="display:none;">
<button class="tab-left" onclick="moveTabLeft (this);"></button>
<button class="tab-right" onclick="moveTabRight (this);"></button>
</div>

to

<div class="tabs-buttons" style="display:none;">
<button class="tab-left" onclick="moveTabLeft (this); return false;"></button>
<button class="tab-right" onclick="moveTabRight (this); return false;"></button>
</div>

Associated revisions

Revision 13108 - 2014-04-26 09:48 - Jean-Philippe Lang

Don't submit the form when tabs are inside a form (#16708).

Patch by Nicolas Rodriguez.

Revision 13159 - 2014-05-24 18:34 - Jean-Philippe Lang
Merged r13108 (#16708).

History

#1 - 2014-04-19 09:42 - Jean-Philippe Lang

- Target version set to 2.5.2

#2 - 2014-04-26 09:48 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed in r13108, thanks.

#3 - 2014-05-24 18:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#4 - 2014-07-06 12:36 - Jean-Philippe Lang

- Subject changed from Form is submit when swithing tab to Form is submitted when swithing tab

2025-05-17

1/2



https://www.redmine.org/projects/redmine/repository/svn/revisions/13108

#5 - 2014-07-15 00:40 - Toshi MARUYAMA

- Subject changed from Form is submitted when swithing tab to Form is submitted when switching tab
